cURL
curl --request POST \ --url https://api-beta.pepay.io/api/v1/ws/token \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data ' { "scope": "merchant", "ttl_seconds": 60 } '
200
merchant
{ "success": true, "data": { "token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...", "scope": "merchant", "merchant_id": 123, "network_environment": null, "expires_at": 1766320496, "ws_url": "wss://api-beta.pepay.io/ws/merchant/events" } }
Documentation IndexFetch the complete documentation index at: https://docs-alpha.pepay.io/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs-alpha.pepay.io/llms.txt
Use this file to discover all available pages before exploring further.
API key for server-to-server operations (scope=merchant or commerce)
commerce
60
Token minted
Standard ws_token mint response envelope.
true
Minted ws_token payload. Use data.token as token=<ws_token> when connecting to /ws/* streams.
data.token
token=<ws_token>
/ws/*
Show child attributes
Was this page helpful?